<div class="d-flex flex-row-reverse">
  <a class="btn btn-primary" href="/files/health_isciii_variables.csv" id="download-button">{{ i18n "download_csv" }}</a>
</div>
<table class="table table-hover table-sm table-responsive mt-2" id="isciii-table" style="display: table;">
  <thead class="thead-light">
    <tr>
      <th scope="col">{{ i18n "group" }}</th>
      <th scope="col">{{ i18n "variable" }}</th>
      <th scope="col" class="text-right">{{ i18n "number_of_projects" }}</th>
      <th scope="col" class="text-right">{{ i18n "percent_on_projects" }}</th>
    </tr>
  </thead>
  <tbody>
    {{ range $index, $entry := $.Site.Data.c19dpes_hv_isciii_research_projects.variables }}
    <tr>
      <td>{{ .group_name }}</td>
      <td colspan="3" style="padding: 0;">

        <!-- inner table -->
        <table id="isciii-inner-table" class="table table-hover custom__inner-table" style="display: table;">
          <tbody>
            {{ range $key, $value := .variables }}
            <tr>
              <td class="w-50 font-weight-bold">{{ $key }}</td>
              <td class="w-25">{{ .number_of_projects }}</td>
              <td class="w-25 text-right">{{ .percent_per_project_review }}</td>
            </tr>
            {{ end }}
          </tbody>
        </table>
      </td>
    </tr>
    {{ end }}
  </tbody>
</table>

<script>
  $(document).ready(() => {
    const isciiiTable = $('#isciii-table').DataTable({
      dom: `
        <".container-fluid"
          <".row my-2"
            <".mr-auto"i>
            <"#search-3.mr-2"f>
          >
          <".row"t>
          <".row"
            <".mr-auto"l>
            <".ml-auto"p>
          >
        >
      `,
      ordering: false,
      paging: false,
    });

    // Move download button next to filter search box.
    const downloadButtonIsciii = document.querySelector('#download-button-3');
    const searchIsciii = document.querySelector('#search-3');
    searchIsciii.insertAdjacentElement('afterend', downloadButtonIsciii);
  });
</script>